LLVM: lldb::SBAttachInfo Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBAttachInfo Class Reference

`#include <SBTarget.h>`

Collaboration diagram for lldb::SBAttachInfo:
[legend]

## Public Member Functions
| SBAttachInfo ()
| SBAttachInfo (lldb::pid_t pid)
| SBAttachInfo (const char *path, bool wait_for)
| SBAttachInfo (const SBAttachInfo &rhs)
| ~SBAttachInfo ()
SBAttachInfo & | operator= (const SBAttachInfo &rhs)
lldb::pid_t | GetProcessID ()
void | SetProcessID (lldb::pid_t pid)
void | SetExecutable (const char *path)
void | SetExecutable (lldb::SBFileSpec exe_file)
bool | GetWaitForLaunch ()
void | SetWaitForLaunch (bool b)
bool | GetIgnoreExisting ()
void | SetIgnoreExisting (bool b)
uint32_t | GetResumeCount ()
void | SetResumeCount (uint32_t c)
const char * | GetProcessPluginName ()
void | SetProcessPluginName (const char *plugin_name)
uint32_t | GetUserID ()
uint32_t | GetGroupID ()
bool | UserIDIsValid ()
bool | GroupIDIsValid ()
void | SetUserID (uint32_t uid)
void | SetGroupID (uint32_t gid)
uint32_t | GetEffectiveUserID ()
uint32_t | GetEffectiveGroupID ()
bool | EffectiveUserIDIsValid ()
bool | EffectiveGroupIDIsValid ()
void | SetEffectiveUserID (uint32_t uid)
void | SetEffectiveGroupID (uint32_t gid)
lldb::pid_t | GetParentProcessID ()
void | SetParentProcessID (lldb::pid_t pid)
bool | ParentProcessIDIsValid ()

## Protected Member Functions
lldb_private::ProcessAttachInfo & | ref ()

## Protected Attributes
ProcessAttachInfoSP | m_opaque_sp

## Friends
class | SBTarget

## Detailed Description

Definition at line 122 of file SBTarget.h.

## Constructor & Destructor Documentation

lldb::SBAttachInfo::SBAttachInfo | ( |  | ) |

lldb::SBAttachInfo::SBAttachInfo | ( | lldb::pid_t | pid | ) |

lldb::SBAttachInfo::SBAttachInfo | ( | const char * | path,
|  | bool | wait_for
| ) |  |

lldb::SBAttachInfo::SBAttachInfo | ( | const SBAttachInfo & | rhs | ) |

lldb::SBAttachInfo::~SBAttachInfo | ( |  | ) |

## Member Function Documentation

bool lldb::SBAttachInfo::EffectiveGroupIDIsValid | ( |  | ) |

bool lldb::SBAttachInfo::EffectiveUserIDIsValid | ( |  | ) |

uint32_t lldb::SBAttachInfo::GetEffectiveGroupID | ( |  | ) |

uint32_t lldb::SBAttachInfo::GetEffectiveUserID | ( |  | ) |

uint32_t lldb::SBAttachInfo::GetGroupID | ( |  | ) |

bool lldb::SBAttachInfo::GetIgnoreExisting | ( |  | ) |

lldb::pid_t lldb::SBAttachInfo::GetParentProcessID | ( |  | ) |

lldb::pid_t lldb::SBAttachInfo::GetProcessID | ( |  | ) |

const char* lldb::SBAttachInfo::GetProcessPluginName | ( |  | ) |

uint32_t lldb::SBAttachInfo::GetResumeCount | ( |  | ) |

uint32_t lldb::SBAttachInfo::GetUserID | ( |  | ) |

bool lldb::SBAttachInfo::GetWaitForLaunch | ( |  | ) |

bool lldb::SBAttachInfo::GroupIDIsValid | ( |  | ) |

SBAttachInfo& lldb::SBAttachInfo::operator= | ( | const SBAttachInfo & | rhs | ) |

bool lldb::SBAttachInfo::ParentProcessIDIsValid | ( |  | ) |

lldb_private::ProcessAttachInfo& lldb::SBAttachInfo::ref | ( |  | ) |
| protected

void lldb::SBAttachInfo::SetEffectiveGroupID | ( | uint32_t | gid | ) |

void lldb::SBAttachInfo::SetEffectiveUserID | ( | uint32_t | uid | ) |

void lldb::SBAttachInfo::SetExecutable | ( | const char * | path | ) |

void lldb::SBAttachInfo::SetExecutable | ( | lldb::SBFileSpec | exe_file | ) |

void lldb::SBAttachInfo::SetGroupID | ( | uint32_t | gid | ) |

void lldb::SBAttachInfo::SetIgnoreExisting | ( | bool | b | ) |

void lldb::SBAttachInfo::SetParentProcessID | ( | lldb::pid_t | pid | ) |

void lldb::SBAttachInfo::SetProcessID | ( | lldb::pid_t | pid | ) |

void lldb::SBAttachInfo::SetProcessPluginName | ( | const char * | plugin_name | ) |

void lldb::SBAttachInfo::SetResumeCount | ( | uint32_t | c | ) |

void lldb::SBAttachInfo::SetUserID | ( | uint32_t | uid | ) |

void lldb::SBAttachInfo::SetWaitForLaunch | ( | bool | b | ) |

bool lldb::SBAttachInfo::UserIDIsValid | ( |  | ) |

## Friends And Related Function Documentation

friend class SBTarget
| friend

Definition at line 221 of file SBTarget.h.

## Member Data Documentation

ProcessAttachInfoSP lldb::SBAttachInfo::m_opaque_sp
| protected

Definition at line 226 of file SBTarget.h.

The documentation for this class was generated from the following file:

- SBTarget.h